Bug 865537 - [abrt] rhythmbox-2.97-5.fc18: vasprintf: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-5.fc18: vasprintf: Process /usr/bin/rhythmbox was kille...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:63e9d2c47cfaf6da7ba85c44b49...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 13:26 EDT by D. Charles Pyle
Modified: 2014-02-05 07:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:33:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.61 KB, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: environ (1.75 KB, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: event_log (1.26 KB, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: backtrace (57.22 KB, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: maps (128.33 KB, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: dso_list (26.35 KB, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: var_log_messages (555 bytes, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details
File: open_fds (511 bytes, text/plain)
2012-10-11 13:26 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2012-10-11 13:26:14 EDT
Description of problem:
Applied the latest updates and the crash still is there.

Version-Release number of selected component:
rhythmbox-2.97-5.fc18

Additional info:
libreport version: 2.0.15
abrt_version:   2.0.14
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: vasprintf
kernel:         3.6.1-1.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #3 vasprintf at /usr/include/bits/stdio2.h:210
: #4 g_vasprintf at gprintf.c:314
: #5 g_strdup_vprintf at gstrfuncs.c:517
: #8 gst_gconf_get_string at gstgconf.c:80
: #9 do_change_child at gstgconfaudiosink.c:170
: #10 gst_gconf_audio_sink_change_state at gstgconfaudiosink.c:289
: #11 gst_element_change_state at gstelement.c:2761
: #12 gst_element_set_state_func at gstelement.c:2717
: #13 rb_player_gst_try_audio_sink at rb-player-gst-helper.c:81
: #14 construct_pipeline at rb-player-gst.c:669
Comment 1 D. Charles Pyle 2012-10-11 13:26:16 EDT
Created attachment 625593 [details]
File: core_backtrace
Comment 2 D. Charles Pyle 2012-10-11 13:26:17 EDT
Created attachment 625594 [details]
File: environ
Comment 3 D. Charles Pyle 2012-10-11 13:26:19 EDT
Created attachment 625595 [details]
File: event_log
Comment 4 D. Charles Pyle 2012-10-11 13:26:20 EDT
Created attachment 625596 [details]
File: limits
Comment 5 D. Charles Pyle 2012-10-11 13:26:24 EDT
Created attachment 625597 [details]
File: backtrace
Comment 6 D. Charles Pyle 2012-10-11 13:26:26 EDT
Created attachment 625598 [details]
File: cgroup
Comment 7 D. Charles Pyle 2012-10-11 13:26:27 EDT
Created attachment 625599 [details]
File: maps
Comment 8 D. Charles Pyle 2012-10-11 13:26:29 EDT
Created attachment 625600 [details]
File: dso_list
Comment 9 D. Charles Pyle 2012-10-11 13:26:32 EDT
Created attachment 625601 [details]
File: proc_pid_status
Comment 10 D. Charles Pyle 2012-10-11 13:26:33 EDT
Created attachment 625602 [details]
File: var_log_messages
Comment 11 D. Charles Pyle 2012-10-11 13:26:35 EDT
Created attachment 625603 [details]
File: open_fds
Comment 12 Fedora End Of Life 2013-12-21 04:06:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 07:33:14 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.